SQLITE_ROLLBACK(3) | Library Functions Manual | SQLITE_ROLLBACK(3)

# NAME

`SQLITE_ROLLBACK`, `SQLITE_FAIL`, `SQLITE_REPLACE` —
Conflict resolution modes

# SYNOPSIS

`#define SQLITE_ROLLBACK`
`#define SQLITE_FAIL`
`#define SQLITE_REPLACE`

# DESCRIPTION

These constants are returned by sqlite3_vtab_on_conflict() to inform a virtual table implementation what the ON CONFLICT mode is for the SQL statement being evaluated.

Note that the SQLITE_IGNORE constant is also used as a potential return value from the sqlite3_set_authorizer() callback and that SQLITE_ABORT is also a result code.

# SEE ALSO

sqlite3_set_authorizer(3), sqlite3_vtab_on_conflict(3), SQLITE_OK(3), SQLITE_DENY(3)

December 19, 2018 | NetBSD 9.2